name: router
description: 基础包，用于提供路由与路由相关逻辑

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2

  # Riverpod核心库
  flutter_riverpod: ^2.5.1

  # Riverpod注解
  riverpod_annotation: ^2.3.5

  # 路由管理
  auto_route: ^8.0.0

flutter:
  uses-material-design: true
